/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * InventoryLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface InventoryLocal extends EJBLocalObject
{
    public String getNumber()
        throws EJBException;

    public void setAmount(int amount)
        throws EJBException;

    public int getAmount()
        throws EJBException;

    public void setMinAmount(int minAmount)
        throws EJBException;

    public int getMinAmount()
        throws EJBException;

    public void setMaxAmount(int maxAmount)
        throws EJBException;
    
    public int getMaxAmount()
        throws EJBException;

    public WarehouseLocal getWarehouse()
        throws EJBException;

    public ProductLocal getProduct()
        throws EJBException;
}
